# This file created by conda-build 25.4.2
# ------------------------------------------------

package:
  name: pcre2
  version: '10.45'
source:
  - sha256: 35ce7d21f511c4a81d7079164077d25fbc41af00f19e1b547801df905c5f0fab
    url: https://github.com/PCRE2Project/pcre2/archive/refs/tags/pcre2-10.45.tar.gz
  - folder: deps/sljit
    sha256: 5caf31959f4c2dfa9fdbaf290b0e16538527d929d5c1c5bd1a3e6df01436c1cf
    url: https://github.com/zherczeg/sljit/archive/e51eabbfb8eabc6526f56e4e88b29fb10d1ee048.tar.gz
build:
  number: 0
  run_exports:
    - pcre2 >=10.45,<10.46.0a0
  string: hc749103_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.43 h4bf12b8_4
    - binutils_linux-64 2.43 h4852527_4
    - bzip2 1.0.8 h4bc722e_7
    - c-ares 1.34.5 hb9d3cd8_0
    - ca-certificates 2025.4.26 hbd8a1cb_0
    - cmake 4.0.1 h74e3db0_0
    - gcc_impl_linux-64 13.3.0 h1e990d8_2
    - gcc_linux-64 13.3.0 hc28eda2_10
    - kernel-headers_linux-64 3.10.0 he073ed8_18
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.21.3 h659f571_0
    - ld_impl_linux-64 2.43 h712a8e2_4
    - libcurl 8.13.0 h332b0f4_0
    - libedit 3.1.20250104 pl5321h7949ede_0
    - libev 4.33 hd590300_2
    - libexpat 2.7.0 h5888daf_0
    - libgcc 14.2.0 h767d61c_2
    - libgcc-devel_linux-64 13.3.0 hc03c837_102
    - libgcc-ng 14.2.0 h69a702a_2
    - libgomp 14.2.0 h767d61c_2
    - liblzma 5.8.1 hb9d3cd8_0
    - libnghttp2 1.64.0 h161d5f1_0
    - libsanitizer 13.3.0 he8ea267_2
    - libssh2 1.11.1 hcf80075_0
    - libstdcxx 14.2.0 h8f9b012_2
    - libstdcxx-ng 14.2.0 h4852527_2
    - libuv 1.50.0 hb9d3cd8_0
    - libzlib 1.3.1 hb9d3cd8_2
    - ncurses 6.5 h2d0b736_3
    - ninja 1.12.1 hff21bea_1
    - openssl 3.5.0 h7b32b05_0
    - rhash 1.4.5 hb9d3cd8_0
    - sysroot_linux-64 2.17 h0157908_18
    - tzdata 2025b h78e105d_0
    - zstd 1.5.7 hb8e6e7a_2
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - bzip2 1.0.8 h4bc722e_7
    - libgcc 14.2.0 h767d61c_2
    - libgcc-ng 14.2.0 h69a702a_2
    - libgomp 14.2.0 h767d61c_2
    - libzlib 1.3.1 hb9d3cd8_2
    - zlib 1.3.1 hb9d3cd8_2
  run:
    - __glibc >=2.17,<3.0.a0
    - bzip2 >=1.0.8,<2.0a0
    - libgcc >=13
    - libzlib >=1.3.1,<2.0a0
test:
  commands:
    - pcre2test --version
    - pcre2grep --version
    - pcre2-config --version
    - test -f ${PREFIX}/include/pcre2.h
    - test -f ${PREFIX}/include/pcre2posix.h
    - test -f ${PREFIX}/lib/libpcre2-posix${SHLIB_EXT}
    - test -f ${PREFIX}/lib/libpcre2-posix${SHLIB_EXT}.3
    - test -f ${PREFIX}/lib/libpcre2-posix${SHLIB_EXT}.3.0.6
    - test -f ${PREFIX}/lib/libpcre2-8${SHLIB_EXT}
    - test -f ${PREFIX}/lib/libpcre2-8${SHLIB_EXT}.0
    - test -f ${PREFIX}/lib/libpcre2-8${SHLIB_EXT}.0.14.0
    - test -f ${PREFIX}/lib/libpcre2-16${SHLIB_EXT}
    - test -f ${PREFIX}/lib/libpcre2-16${SHLIB_EXT}.0
    - test -f ${PREFIX}/lib/libpcre2-16${SHLIB_EXT}.0.14.0
    - test -f ${PREFIX}/lib/libpcre2-32${SHLIB_EXT}
    - test -f ${PREFIX}/lib/libpcre2-32${SHLIB_EXT}.0
    - test -f ${PREFIX}/lib/libpcre2-32${SHLIB_EXT}.0.14.0
    - test -f ${PREFIX}/lib/pkgconfig/libpcre2-8.pc
    - test -f ${PREFIX}/lib/pkgconfig/libpcre2-16.pc
    - test -f ${PREFIX}/lib/pkgconfig/libpcre2-32.pc
    - test -f ${PREFIX}/lib/pkgconfig/libpcre2-posix.pc
    - test -f ${PREFIX}/lib/cmake/pcre2/pcre2-config.cmake
    - test -f ${PREFIX}/lib/cmake/pcre2/pcre2-config-version.cmake
about:
  description: 'The PCRE library is a set of functions that implement regular expression
    pattern matching

    using the same syntax and semantics as Perl 5. PCRE has its own native API, as
    well as a set of

    wrapper functions that correspond to the POSIX regular expression API. The PCRE
    library is

    free, even for building proprietary software.

    '
  doc_url: http://www.pcre.org/current/doc/html/
  home: http://www.pcre.org/
  license: BSD-3-Clause
  license_family: BSD
  license_file: COPYING
  summary: Regular expression pattern matching using Perl 5 syntax and semantics.
extra:
  copy_test_source_files: true
  feedstock-name: pcre2
  final: true
  flow_run_id: azure_20250429.7.1
  recipe-maintainers:
    - dfornika
    - mariusvniekerk
    - xhochy
  remote_url: https://github.com/conda-forge/pcre2-feedstock
  sha: 0f71899c922a41eac4694465dd03a4fde0f3c1e5
